org.jgrapht.alg.util

## Class AlwaysEqualComparator<T>

- java.lang.Object
- - org.jgrapht.alg.util.AlwaysEqualComparator<T>

- All Implemented Interfaces:
    Comparator<T>

      public class AlwaysEqualComparator<T>
      extends Object
      implements Comparator<T>

  A default implementation for a check on equality (that always holds)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlwaysEqualComparator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(T arg0, T arg1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Constructor Detail

    - #### AlwaysEqualComparator

          public AlwaysEqualComparator()

  - ### Method Detail

    - #### compare

          public int compare(T arg0,
                    T arg1)

      Specified by:
        `compare` in interface `Comparator<T>`

Copyright © 2016. All rights reserved.